curl --request GET \
--url https://api.recursion.labelbox.com/managed-agents/v2/agents/{agentId}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.recursion.labelbox.com/managed-agents/v2/agents/{agentId}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.recursion.labelbox.com/managed-agents/v2/agents/{agentId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recursion.labelbox.com/managed-agents/v2/agents/{agentId}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recursion.labelbox.com/managed-agents/v2/agents/{agentId}/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.recursion.labelbox.com/managed-agents/v2/agents/{agentId}/versions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recursion.labelbox.com/managed-agents/v2/agents/{agentId}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"agentId": "<string>",
"agentVersionId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"defaultCredentialRefs": [
{
"credential_id": "<string>",
"vault_id": "<string>"
}
],
"defaultVaultIds": [
"<string>"
],
"disabledIntegrationMcpProviders": [
"<string>"
],
"mcpServers": [
{}
],
"modelConfig": {
"max_tokens": 0,
"provider_params": {},
"reasoning_effort": "<string>",
"temperature": 123,
"top_p": 123
},
"name": "<string>",
"organizationId": "<string>",
"skills": [
{}
],
"system": "<string>",
"versionNumber": 0,
"builtInIntegrations": [
{
"connection_id": "<string>",
"tools": [
"<string>"
]
}
],
"createdBy": "<string>",
"defaultProjectId": "<string>",
"defaultRubric": "<string>",
"description": "<string>",
"executionCompatibility": "compatible",
"fileHistoryEnabled": true,
"maxConcurrentSessions": 5000,
"metadata": {},
"model": "<string>",
"multiagent": {},
"nativeIntegrations": [
{
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permission": "<string>",
"resources": [
"<string>"
],
"tools": [
"<string>"
]
}
],
"supportsNewSessions": true,
"template": {
"id": "<string>",
"revision": 0
},
"webSearchEnabled": true
}
],
"nextCursor": "<string>",
"total": 4503599627370495
}{
"code": "invalid_request",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "unauthorized",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "forbidden",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "not_found",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "payload_too_large",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "rate_limit_exceeded",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "internal_error",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "bad_gateway",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "managed_agents_unavailable",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "gateway_timeout",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}List an agent's immutable version history
Returns a page of an agent’s immutable versions, newest first. Follow nextCursor until null. A newly published version can appear ahead of a cursor and will be included on a fresh listing.
curl --request GET \
--url https://api.recursion.labelbox.com/managed-agents/v2/agents/{agentId}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.recursion.labelbox.com/managed-agents/v2/agents/{agentId}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.recursion.labelbox.com/managed-agents/v2/agents/{agentId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recursion.labelbox.com/managed-agents/v2/agents/{agentId}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recursion.labelbox.com/managed-agents/v2/agents/{agentId}/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.recursion.labelbox.com/managed-agents/v2/agents/{agentId}/versions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recursion.labelbox.com/managed-agents/v2/agents/{agentId}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"agentId": "<string>",
"agentVersionId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"defaultCredentialRefs": [
{
"credential_id": "<string>",
"vault_id": "<string>"
}
],
"defaultVaultIds": [
"<string>"
],
"disabledIntegrationMcpProviders": [
"<string>"
],
"mcpServers": [
{}
],
"modelConfig": {
"max_tokens": 0,
"provider_params": {},
"reasoning_effort": "<string>",
"temperature": 123,
"top_p": 123
},
"name": "<string>",
"organizationId": "<string>",
"skills": [
{}
],
"system": "<string>",
"versionNumber": 0,
"builtInIntegrations": [
{
"connection_id": "<string>",
"tools": [
"<string>"
]
}
],
"createdBy": "<string>",
"defaultProjectId": "<string>",
"defaultRubric": "<string>",
"description": "<string>",
"executionCompatibility": "compatible",
"fileHistoryEnabled": true,
"maxConcurrentSessions": 5000,
"metadata": {},
"model": "<string>",
"multiagent": {},
"nativeIntegrations": [
{
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permission": "<string>",
"resources": [
"<string>"
],
"tools": [
"<string>"
]
}
],
"supportsNewSessions": true,
"template": {
"id": "<string>",
"revision": 0
},
"webSearchEnabled": true
}
],
"nextCursor": "<string>",
"total": 4503599627370495
}{
"code": "invalid_request",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "unauthorized",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "forbidden",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "not_found",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "payload_too_large",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "rate_limit_exceeded",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "internal_error",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "bad_gateway",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "managed_agents_unavailable",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "gateway_timeout",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}Authorizations
A Recursion API key, created in the console under API keys.
Headers
Optional tenant consistency check. When present, it must name the tenant bound to the API key, including when x-organization-id is default.
1Organization in which to act. Required for a tenant-scoped API key. Optional for an organization-scoped key, where it must name that same organization. The value may be an organization id or default.
1Path Parameters
Agent id (UUID) as returned by managedAgentsCreateAgent or managedAgentsListAgents.
Query Parameters
Maximum versions per page, default 50.
1 <= x <= 100Opaque nextCursor from the previous page with the same limit.
Response
OK
One page of published versions of the requested agent, newest first, with server-authored execution compatibility.
Show child attributes
Show child attributes
Opaque cursor for the next page, or null at the end.
Number of published versions of the requested agent.
0 <= x <= 9007199254740991